Package org.apache.sling.engine.jmx

# Interface RequestProcessorMBean

@ProviderType public interface RequestProcessorMBean
This is the management interface for the SlingRequestProcessor.

## Method Summary

Modifier and Type
Method
Description
`int`
`getMaxPeakRecursionDepth()`
Returns the maximum peak recursive execution depth since last resetting the statistics.
`long`
`getMaxRequestDurationMsec()`
Returns the time in milliseconds used by the longest request since last resetting the statistics.
`int`
`getMaxServletCallCount()`
Returns the maximum servlet call count since last resetting the statistics.
`double`
`getMeanPeakRecursionDepth()`
Returns the mean peak recursive execution depth since last resetting the statistics.
`double`
`getMeanRequestDurationMsec()`
Returns the mean request processing time in milliseconds since resetting the statistics.
`double`
`getMeanServletCallCount()`
Returns the mean servlet call count since last resetting the statistics.
`int`
`getMinPeakRecursionDepth()`
Returns the minimal peak recursive execution depth since last resetting the statistics.
`long`
`getMinRequestDurationMsec()`
Returns the time in milliseconds used by the shortest request since last resetting the statistics.
`int`
`getMinServletCallCount()`
Returns the minimum servlet call count since last resetting the statistics.
`long`
`getRequestsCount()`
Returns the number of requests collected since last resetting the statistics.
`double`
`getStandardDeviationDurationMsec()`
Returns the standard deviation of requests since resetting the statistics.
`double`
`getStandardDeviationPeakRecursionDepth()`
Returns the standard deviation of peak recursive execution depth since last resetting the statistics.
`double`
`getStandardDeviationServletCallCount()`
Returns the standard deviation servlet call counts since last resetting the statistics.
`void`
`resetStatistics()`
Resets all statistics values and restarts from zero.

## Method Details

### getRequestsCount

long getRequestsCount()
Returns the number of requests collected since last resetting the statistics.

Returns:
  Number of requests
See Also:
  - `resetStatistics()`

### getMaxRequestDurationMsec

long getMaxRequestDurationMsec()
Returns the time in milliseconds used by the longest request since last resetting the statistics.

Returns:
  Max request duration
See Also:
  - `resetStatistics()`

### getMinRequestDurationMsec

long getMinRequestDurationMsec()
Returns the time in milliseconds used by the shortest request since last resetting the statistics.

Returns:
  Min request duration
See Also:
  - `resetStatistics()`

### getMeanRequestDurationMsec

double getMeanRequestDurationMsec()
Returns the mean request processing time in milliseconds since resetting the statistics.

Returns:
  Mean request duration
See Also:
  - `resetStatistics()`

### getStandardDeviationDurationMsec

double getStandardDeviationDurationMsec()
Returns the standard deviation of requests since resetting the statistics. If zero or one requests have been collected only, this method returns zero.

Returns:
  Standard deviation
See Also:
  - `resetStatistics()`

### getMaxPeakRecursionDepth

int getMaxPeakRecursionDepth()
Returns the maximum peak recursive execution depth since last resetting the statistics.

Returns:
  Max peak recursion depth
See Also:
  - `resetStatistics()`

### getMinPeakRecursionDepth

int getMinPeakRecursionDepth()
Returns the minimal peak recursive execution depth since last resetting the statistics.

Returns:
  Min peak recursion depth
See Also:
  - `resetStatistics()`

### getMeanPeakRecursionDepth

double getMeanPeakRecursionDepth()
Returns the mean peak recursive execution depth since last resetting the statistics.

Returns:
  Mean peak recursion depth
See Also:
  - `resetStatistics()`

### getStandardDeviationPeakRecursionDepth

double getStandardDeviationPeakRecursionDepth()
Returns the standard deviation of peak recursive execution depth since last resetting the statistics.

Returns:
  Standard deviation of peak recursion depth
See Also:
  - `resetStatistics()`

### getMaxServletCallCount

int getMaxServletCallCount()
Returns the maximum servlet call count since last resetting the statistics.

Returns:
  Max servlet count call
See Also:
  - `resetStatistics()`

### getMinServletCallCount

int getMinServletCallCount()
Returns the minimum servlet call count since last resetting the statistics.

Returns:
  Min servlet count call
See Also:
  - `resetStatistics()`

### getMeanServletCallCount

double getMeanServletCallCount()
Returns the mean servlet call count since last resetting the statistics.

Returns:
  Mean servlet count call
See Also:
  - `resetStatistics()`

### getStandardDeviationServletCallCount

double getStandardDeviationServletCallCount()
Returns the standard deviation servlet call counts since last resetting the statistics.

Returns:
  Mean standard deviation for servlet count call
See Also:
  - `resetStatistics()`

### resetStatistics

void resetStatistics()
Resets all statistics values and restarts from zero.